let noticeSelectId = "";

/****************************************************************************
 * 공지사항 정보 리스트 조회
 ****************************************************************************/
function fn_selectListMobileNoticeJson(){
    let formData = new FormData();
    $.ajax({
        url: encodeURI('/mobilenotice/selectListNotice.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: true,
        success: function(data){
            if('0'==data.msgCode){
                $('.content_box ul').empty();
                if(0<data.totalCount){

                    data.rows.forEach((noticeData,index)=>{
                        const innerHtml = ` <li onclick="fn_selectNoticePopup('${noticeData.muNoticeId}')">
                                                        <p>${noticeData.title}</p>
                                                        <p>${noticeData.writeDate}</p>
                                                    </li>`;
                        $('.content_box ul').append(innerHtml);
                    });

                } else {
                    const innerHtml = `<li><p>공지사항이 없습니다</p></li>`;
                    $('.content_box ul').append(innerHtml);
                }

            } else if (data.msgCode == '-1') {
                modalEvent.warning("조회 오류", data.msgDesc);
            } else {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시 시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){
        },
        complete:function(){

        }
    });
}

function fn_selectNoticePopup(param){
    let reqParam =  {
        "muNoticeId" : param
    };

    mobileNoticeSelectModal.popup(function(obj, reqParam) {
        fn_selectListMobileNoticeJson();
    }, reqParam);


}


/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    fn_selectListMobileNoticeJson();
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});